natureMod = ...



natureMod:registerAssetId("models/environment.fbx/Prefab/Hedge", MOD_NS .. "PREFAB_BOXWOOD_HEDGE")
natureMod:registerPrefabComponent("models/environment.fbx/Prefab/Hedge", { DataType = MOD_NS .. "RANDOMIZER_COMPONENT" })

natureMod:registerAssetId("models/environment.fbx/Materials/hedge_material", MOD_NS .. "BOXWOOD_HEDGE_MATERIAL")
natureMod:overrideAsset({
    Id = MOD_NS .. "BOXWOOD_HEDGE_MATERIAL",
    HasAlphaTest = true,
    BackFaceVisible = true,
    HasShadow = true,
})


natureMod:registerAsset({
	DataType = "WALL_CONFIG",
	Id = MOD_NS .. "BOXWOOD_HEDGE_WALL_CONFIG",	
	WallConfigName = "BOXWOOD_HEDGE_NAME",
	IsManuallyUnlocked = false,
	Material = MOD_NS .. "BOXWOOD_HEDGE_MATERIAL",
	MaterialTop = MOD_NS .. "BOXWOOD_HEDGE_MATERIAL",
	Crenation = MOD_NS .. "PREFAB_BOXWOOD_HEDGE",
	CrenationDistance = 1.0,
	StepLength = nil,
	Width = 0.85,
	Height = 0,
	UvTillingWall = 0.35,
	UvTillingTop = 0.35,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
