local natureMod = foundation.createMod();

MOD_NS = 'JK_'
GROWTH_CONTROLLER_GROWTH_TYPE = MOD_NS .. "GROWTH_CONTROLLER_COMP"
FOREST_HUT_COMP_TYPE = MOD_NS .. "FOREST_HUT_COMPONENT"
WINTER_WONDERLAND = "066c4617-3a38-4d64-88fa-4863d9cc7d31"

natureMod:dofile("scripts/randomizer_component.lua")
natureMod:dofile("scripts/trees.lua")
natureMod:dofile("scripts/hedge.lua")
natureMod:dofile("scripts/temperate_nature_monument.lua")
natureMod:dofile("scripts/plantables.lua")

-- forester
natureMod:dofile("scripts/forester/behaviour_tree/setup_forester_node.lua")
natureMod:dofile("scripts/forester/behaviour_tree/plant_tree_node.lua")
natureMod:dofile("scripts/forester/behaviour_tree/find_next_planting_position_node.lua")
natureMod:dofile("scripts/forester/behaviour_tree/forester_behaviour.lua")
natureMod:dofile("scripts/forester/components/growth_controller_component.lua")
natureMod:dofile("scripts/forester/components/seed_component.lua")
natureMod:dofile("scripts/forester/components/forest_hut_component.lua")
natureMod:dofile("scripts/forester/tree_farm.lua")
natureMod:dofile("scripts/forester/forester_functions.lua")
natureMod:dofile("scripts/forester/forest_hut.lua")