local natureMod = ...


natureMod:registerBehaviorTreeNode({
        Name = MOD_NS .. "SETUP_FORESTER_HUT",

        VariableList = {
            AgentData = "BEHAVIOR_TREE_DATA_AGENT"
        },

        Update = function(self, level, instance)
            local jobName = self.AgentData.Agent:getOwner():getEnabledComponent("COMP_VILLAGER"):getJobInstance().AssetJob.JobName
            local workplace = self.AgentData.Agent:getOwner():getEnabledComponent("COMP_VILLAGER"):getJobInstance().Workplace 
            local hutCmp = workplace:getOwner():getComponent(FOREST_HUT_COMP_TYPE)

            if jobName == "FORESTER" then
                hutCmp:plantConiferousTrees()
            elseif jobName == "PLANT_MIXED_FOREST" then
                hutCmp:plantAllTrees()
            else
                hutCmp:plantDeciduousTrees()
            end

            return BEHAVIOR_TREE_NODE_RESULT.TRUE
        end
})