local natureMod = ...

--------------------------------------------------------------------------
local RANDOMIZER_COMPONENT = {
	TypeName = MOD_NS .. "RANDOMIZER_COMPONENT",
	ParentType = "COMPONENT"
}

--------------------------------------------------------------------------
function RANDOMIZER_COMPONENT:create()
end

--------------------------------------------------------------------------
function RANDOMIZER_COMPONENT:init()
		local object = self:getOwner()
        local orientation = object:getGlobalOrientation()

        quaternion.setEulerAngles(orientation, { 0, math.random(-90, 90), 0 })
        object:setGlobalOrientation(orientation)
end

--------------------------------------------------------------------------
natureMod:registerClass(RANDOMIZER_COMPONENT)
